local diff = {
	["axisDiffs"] = {
		["a2001cdnil"] = {
			["name"] = "Pitch",
			["removed"] = {
				[1] = {
					["key"] = "JOY_Y",
				},
			},
		},
		["a2002cdnil"] = {
			["name"] = "Roll",
			["removed"] = {
				[1] = {
					["key"] = "JOY_X",
				},
			},
		},
		["a2003cdnil"] = {
			["name"] = "Rudder",
			["removed"] = {
				[1] = {
					["key"] = "JOY_RZ",
				},
			},
		},
		["a2004cdnil"] = {
			["name"] = "Throttle Both",
			["removed"] = {
				[1] = {
					["key"] = "JOY_Z",
				},
			},
		},
		["a2005cdnil"] = {
			["added"] = {
				[1] = {
					["filter"] = {
						["curvature"] = {
							[1] = 0,
						},
						["deadzone"] = 0,
						["invert"] = false,
						["saturationX"] = 1,
						["saturationY"] = 1,
						["slider"] = true,
					},
					["key"] = "JOY_RY",
				},
			},
			["name"] = "Throttle Left",
		},
		["a2006cdnil"] = {
			["added"] = {
				[1] = {
					["filter"] = {
						["curvature"] = {
							[1] = 0,
						},
						["deadzone"] = 0,
						["invert"] = false,
						["saturationX"] = 1,
						["saturationY"] = 1,
						["slider"] = true,
					},
					["key"] = "JOY_RX",
				},
			},
			["name"] = "Throttle Right",
		},
	},
	["keyDiffs"] = {
		["d3013pnilunilcd18vd0vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN75",
				},
			},
			["name"] = "Parking brake pull",
		},
		["d3013pnilunilcd18vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN76",
				},
			},
			["name"] = "Parking brake stow",
		},
		["d3016pnilunilcd18vd0vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN73",
				},
			},
			["name"] = "Gears Up",
		},
		["d3016pnilunilcd18vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN74",
				},
			},
			["name"] = "Gears Down",
		},
		["d3019pnilunilcd18vd-1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN66",
				},
			},
			["name"] = "Nose strut kneel",
		},
		["d3019pnilunilcd18vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN65",
				},
			},
			["name"] = "Nose strut extend",
		},
		["d3021pnilunilcd18vd0vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN67",
				},
			},
			["name"] = "Hook Retract",
		},
		["d3021pnilunilcd18vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN68",
				},
			},
			["name"] = "Hook Extend",
		},
		["d3023pnilunilcd18vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN21",
				},
			},
			["name"] = "Catapult Salute",
		},
		["d3024pnilu3024cd17vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN26",
				},
			},
			["name"] = "Wing Sweep Auto Mode",
		},
		["d3025pnilu3025cd17vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN27",
				},
			},
			["name"] = "Wing Sweep Forward",
		},
		["d3026pnilu3026cd17vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN29",
				},
			},
			["name"] = "Wing Sweep Aft",
		},
		["d3027pnilu3027cd17vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN28",
				},
			},
			["name"] = "Wing Sweep Bomb Mode",
		},
		["d3038pnilu3038cd22vd1vpnilvu-1"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN89",
				},
			},
			["name"] = "Altitude Hold On, else Off",
		},
		["d3039pnilu3039cd22vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN86",
				},
			},
			["name"] = "Heading Hold On, else Off",
		},
		["d3040pnilunilcd22vd-1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN92",
					["reformers"] = {
						[1] = "joystick paddles",
					},
				},
			},
			["name"] = "Autopilot Off",
		},
		["d3040pnilunilcd22vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN92",
				},
			},
			["name"] = "Autopilot On",
		},
		["d3044pnilunilcd19vd0vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN79",
				},
			},
			["name"] = "Flaps Down",
		},
		["d3044pnilunilcd19vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN77",
				},
			},
			["name"] = "Flaps Up",
		},
		["d3045pnilu3045cd20vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN88",
				},
			},
			["name"] = "Throttle Mode AUTO else BOOST",
		},
		["d3045pnilunilcd20vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN6",
					["reformers"] = {
						[1] = "joystick paddles",
					},
				},
			},
			["name"] = "Throttle Mode AUTO",
		},
		["d3051pnilunilcd20vd-1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN111",
				},
			},
			["name"] = "Crank Right Engine",
		},
		["d3051pnilunilcd20vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN109",
				},
			},
			["name"] = "Crank Left Engine",
		},
		["d3056pnilu3056cd35vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN80",
					["reformers"] = {
						[1] = "joystick paddles",
					},
				},
			},
			["name"] = "Master Caution Reset",
		},
		["d3058pnilu3058cd23vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN80",
				},
			},
			["name"] = "MASTER RESET",
		},
		["d3068pnilunilcd21vd-1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN69",
				},
			},
			["name"] = "Refuel Probe Retract",
		},
		["d3068pnilunilcd21vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN71",
				},
			},
			["name"] = "Refuel Probe extend, Refuel All",
		},
		["d3070pnilunilcd56vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN106",
				},
			},
			["name"] = "Play",
		},
		["d3071pnilunilcd56vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN108",
				},
			},
			["name"] = "Stop",
		},
		["d3072pnilunilcd56vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN108",
					["reformers"] = {
						[1] = "joystick paddles",
					},
				},
			},
			["name"] = "Fast Forward",
		},
		["d3073pnilunilcd56vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN106",
					["reformers"] = {
						[1] = "joystick paddles",
					},
				},
			},
			["name"] = "Fast Backward",
		},
		["d3074pnilunilcd56vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN84",
				},
			},
			["name"] = "Volume Up",
		},
		["d3075pnilunilcd56vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN83",
				},
			},
			["name"] = "Volume Down",
		},
		["d3126pnilu3126cd57vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN6",
				},
			},
			["name"] = "CAGE-SEAM button",
		},
		["d3127pnilu3127cd57vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN7",
				},
			},
			["name"] = "PLM button",
		},
		["d3128pnilu3128cd20vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN109",
					["reformers"] = {
						[1] = "joystick paddles",
					},
				},
			},
			["name"] = "Left Engine Cutoff",
		},
		["d3129pnilu3129cd20vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN110",
					["reformers"] = {
						[1] = "joystick paddles",
					},
				},
			},
			["name"] = "Right Engine Cutoff",
		},
		["d3133pnilu3133cd55vd0vpnilvu1"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN10",
				},
			},
			["name"] = "ACM Cover Closed, else Open",
		},
		["d3135pnilunilcd55vd0vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN95",
				},
			},
			["name"] = "Master arm cover close",
		},
		["d3135pnilunilcd55vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN94",
				},
			},
			["name"] = "Master arm cover open",
		},
		["d3136pnilunilcd55vd-1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN93",
				},
			},
			["name"] = "Master arm on",
		},
		["d3138pnilu3138cd55vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN96",
				},
			},
			["name"] = "ACM Jettison",
		},
		["d3140pnilu3140cd55vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN95",
					["reformers"] = {
						[1] = "joystick paddles",
					},
				},
			},
			["name"] = "Missile prepare toggle",
		},
		["d3172pnilunilcd12vd-1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN103",
				},
			},
			["name"] = "Lights Red Flood DIM",
		},
		["d3172pnilunilcd12vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN104",
				},
			},
			["name"] = "Lights Red Flood BRT",
		},
		["d3217pnilunilcd40vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN81",
					["reformers"] = {
						[1] = "joystick paddles",
					},
				},
			},
			["name"] = "Display mode cruise",
		},
		["d3218pnilunilcd40vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN82",
				},
			},
			["name"] = "Display mode air to air",
		},
		["d3219pnilunilcd40vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN81",
				},
			},
			["name"] = "Display mode air to ground",
		},
		["d3220pnilunilcd40vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN82",
					["reformers"] = {
						[1] = "joystick paddles",
					},
				},
			},
			["name"] = "Display mode landing",
		},
		["d3383pnilunilcd2vd-1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN11",
					["reformers"] = {
						[1] = "joystick paddles",
					},
				},
			},
			["name"] = "ICS Function COLD MIC",
		},
		["d3383pnilunilcd2vd0vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN11",
				},
			},
			["name"] = "ICS Function HOT MIC",
		},
		["d3383pnilunilcd2vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN9",
					["reformers"] = {
						[1] = "joystick paddles",
					},
				},
			},
			["name"] = "ICS Function RADIO OVERRIDE",
		},
		["d3384pnilu3384cd2vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN9",
				},
			},
			["name"] = "Mic Button ICS",
		},
		["d3386pnilu3386cd2vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN12",
				},
			},
			["name"] = "Mic Button UHF2 (ARC-182)",
		},
		["d3550pnilu3550cd62vd1vpnilvu-1"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN8",
				},
			},
			["name"] = "Toggle Menu",
		},
		["d3653pnilunilcd12vd0vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN5",
				},
			},
			["name"] = "Exterior Lights Master Switch OFF",
		},
		["d3653pnilunilcd12vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN3",
				},
			},
			["name"] = "Exterior Lights Master Switch ON",
		},
		["d3656pnilunilcd12vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN105",
				},
			},
			["name"] = "Lights Red Flood Toggle",
		},
		["d3730pnilunilcd56vd1vpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN85",
				},
			},
			["name"] = "Switch  Side",
		},
		["dnilp3020u3020cd18vdnilvp-1vu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN19",
				},
			},
			["name"] = "Speed brake retract",
		},
		["dnilp3020u3020cd18vdnilvp1vu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN18",
				},
			},
			["name"] = "Speed brake extend",
		},
		["dnilp3241unilcd41vdnilvp-0.0015vu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN97",
				},
			},
			["name"] = "HSD Heading Knob Dec",
		},
		["dnilp3241unilcd41vdnilvp0.0015vu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN98",
				},
			},
			["name"] = "HSD Heading Knob Inc",
		},
		["dnilp3242unilcd41vdnilvp-0.001vu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN101",
				},
			},
			["name"] = "HSD Course Knob Dec",
		},
		["dnilp3242unilcd41vdnilvp0.001vu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN100",
				},
			},
			["name"] = "HSD Course Knob Inc",
		},
	},
}
return diff